play.libs

## Class OAuth2.Error

- java.lang.Object
- - play.libs.OAuth2.Error

Enclosing class:
  OAuth2

    public static class OAuth2.Error
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `OAuth2.Error.Type`

### Field Summary

Fields
`java.lang.String` `description`
`java.lang.String` `error`
`OAuth2.Error.Type` `type`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### type

    public final OAuth2.Error.Type type

#### error

    public final java.lang.String error

#### description

    public final java.lang.String description

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`